package com.nisum.mytime.service;

import java.util.List;
import java.util.Set;

import com.mongodb.WriteResult;
import com.nisum.mytime.exception.handler.MyTimeException;

public interface IRoleMappingService {

	void addEmployeeRole(String employeeId, String roleId) throws MyTimeException;
	
	void saveUniqueEmployeeAndRole(List<String> employeeIds, String roleId) throws MyTimeException;

	WriteResult deleteRole(String employeeId, String roleId) throws MyTimeException;

	String getEmployeeRole(String employeeId);
	
	public Set<String> empRolesMapInfoByEmpId(String employeeId);
}
